import type { BooleanValueNode, EnumValueNode, FloatValueNode, GraphQLLeafType, IntValueNode, NullValueNode, StringValueNode } from "graphql";
import { UnbatchedExecutableStep } from "../step.js";
/**
 * Implements `InputStaticLeafStep`
 *
 * @see __InputDynamicScalarStep
 */
export declare class __InputStaticLeafStep<TLeaf = any> extends UnbatchedExecutableStep<TLeaf> {
    static $$export: {
        moduleName: string;
        exportName: string;
    };
    isSyncAndSafe: boolean;
    private readonly coercedValue;
    constructor(inputType: GraphQLLeafType, value: IntValueNode | FloatValueNode | StringValueNode | BooleanValueNode | NullValueNode | EnumValueNode | undefined);
    unbatchedExecute(): TLeaf;
    optimize(): import("./constant.js").ConstantStep<any>;
    eval(): TLeaf;
    evalIs(expectedValue: unknown): boolean;
}
//# sourceMappingURL=__inputStaticLeaf.d.ts.map