import type { ExecutableStep } from "../step.js";
import { $$deepDepSkip, $$noExec, UnbatchedExecutableStep } from "../step.js";
/**
 * An __ItemStep is an internal plan (users must never construct it
 * themselves!) that Grafast uses to refer to an individual item within a list
 * or stream.
 */
export declare class __ItemStep<TData> extends UnbatchedExecutableStep<TData> {
    readonly depth: number;
    static $$export: {
        moduleName: string;
        exportName: string;
    };
    isSyncAndSafe: boolean;
    [$$noExec]: boolean;
    /**
     * @internal
     */
    transformStepId?: number;
    constructor(parentPlan: ExecutableStep<TData> | ExecutableStep<TData[]>, depth?: number);
    toStringMeta(): string;
    [$$deepDepSkip](): ExecutableStep;
    execute(): never;
    unbatchedExecute(): never;
    finalize(): void;
}
//# sourceMappingURL=__item.d.ts.map