import { $$noExec, ExecutableStep } from "../step.js";
import type { AccessStep } from "./access.js";
/**
 * Implements `__ValueStep(operationPlan)` which is never executed; it's purely
 * internal - we populate the value as part of the algorithm - see
 * `GetValueStepId` and `PopulateValueStep`.
 */
export declare class __ValueStep<TData> extends ExecutableStep<TData> {
    static $$export: {
        moduleName: string;
        exportName: string;
    };
    isSyncAndSafe: boolean;
    [$$noExec]: boolean;
    constructor();
    toStringMeta(): string | null;
    execute(): never;
    get<TAttr extends keyof TData>(attrName: TAttr): AccessStep<TData[TAttr]>;
    at<TIndex extends keyof TData>(index: TIndex): AccessStep<TData[TIndex]>;
}
//# sourceMappingURL=__value.d.ts.map