import type { GrafastResultsList } from "../interfaces.js";
import { UnbatchedExecutableStep } from "../step.js";
/**
 * Converts a constant value (e.g. a string/number/etc) into a plan
 */
export declare class ConstantStep<TData> extends UnbatchedExecutableStep<TData> {
    readonly data: TData;
    readonly isSensitive: boolean;
    static $$export: {
        moduleName: string;
        exportName: string;
    };
    isSyncAndSafe: boolean;
    constructor(data: TData, isSensitive?: boolean);
    toStringMeta(): string;
    deduplicate(peers: readonly ConstantStep<any>[]): ConstantStep<any>[];
    execute(count: number): GrafastResultsList<TData>;
    eval(): TData;
    evalIs(value: any): boolean;
    evalIsEmpty(): boolean;
    unbatchedExecute(): TData;
    isNull(): boolean;
    isUndefined(): boolean;
}
/**
 * Call this as a template string or as a function. Only intended for handling
 * scalar values, not arrays/objects/etc.
 */
export declare function constant<const TString extends string>(strings: TemplateStringsArray & [TString]): ConstantStep<TString>;
export declare function constant<TData>(data: TData, isSecret?: boolean): ConstantStep<TData>;
//# sourceMappingURL=constant.d.ts.map